searchData={"items":[{"type":"module","title":"Stemmer","doc":"","ref":"Stemmer.html"},{"type":"function","title":"Stemmer.stem/1","doc":"","ref":"Stemmer.html#stem/1"},{"type":"function","title":"Examples - Stemmer.stem/1","doc":"iex> Stemmer.stem(\"Hello\")\n    \"hello\"\n\n    iex> Stemmer.stem(\"hElLo\")\n    \"hello\"\n\n    iex> Stemmer.stem(\"capabilities\")\n    \"capabl\"\n\n    iex> Stemmer.stem(\"extraordinary capabilities\")\n    [\"extraordinari\", \"capabl\"]\n\n    iex> Stemmer.stem([\"capabilities\"])\n    [\"capabl\"]\n\n    iex> Stemmer.stem([\"extraordinary\", \"capabilities\"])\n    [\"extraordinari\", \"capabl\"]","ref":"Stemmer.html#stem/1-examples"},{"type":"module","title":"Stemmer.Engine","doc":"","ref":"Stemmer.Engine.html"},{"type":"function","title":"Stemmer.Engine.start/1","doc":"","ref":"Stemmer.Engine.html#start/1"},{"type":"function","title":"Examples - Stemmer.Engine.start/1","doc":"iex> Stemmer.Engine.start(\"I\")\n    \"i\"\n\n    iex> Stemmer.Engine.start(\"as\")\n    \"as\"\n\n    iex> Stemmer.Engine.start(\"skies\")\n    \"sky\"\n\n    iex> Stemmer.Engine.start(\"sky\")\n    \"sky\"\n\n    iex> Stemmer.Engine.start(\"news\")\n    \"news\"\n\n    iex> Stemmer.Engine.start(\"inning\")\n    \"inning\"\n\n    iex> Stemmer.Engine.start(\"only\")\n    \"onli\"\n\n    iex> Stemmer.Engine.start(\"communicate\")\n    \"communic\"","ref":"Stemmer.Engine.html#start/1-examples"},{"type":"module","title":"Stemmer.Rules","doc":"","ref":"Stemmer.Rules.html"},{"type":"function","title":"Stemmer.Rules.consonant/0","doc":"","ref":"Stemmer.Rules.html#consonant/0"},{"type":"function","title":"Stemmer.Rules.doubles/0","doc":"","ref":"Stemmer.Rules.html#doubles/0"},{"type":"function","title":"Stemmer.Rules.invariant?/1","doc":"","ref":"Stemmer.Rules.html#invariant?/1"},{"type":"function","title":"Examples - Stemmer.Rules.invariant?/1","doc":"iex> Stemmer.Rules.invariant?(\"sky\")\n    {true, \"sky\"}\n\n    iex> Stemmer.Rules.invariant?(\"skynet\")\n    {false, \"skynet\"}","ref":"Stemmer.Rules.html#invariant?/1-examples"},{"type":"function","title":"Stemmer.Rules.invariant_after_1a?/1","doc":"","ref":"Stemmer.Rules.html#invariant_after_1a?/1"},{"type":"function","title":"Examples - Stemmer.Rules.invariant_after_1a?/1","doc":"iex> Stemmer.Rules.invariant_after_1a?(\"inning\")\n    {true, \"inning\"}\n\n    iex> Stemmer.Rules.invariant_after_1a?(\"manning\")\n    {false, \"manning\"}","ref":"Stemmer.Rules.html#invariant_after_1a?/1-examples"},{"type":"function","title":"Stemmer.Rules.li_endings/0","doc":"","ref":"Stemmer.Rules.html#li_endings/0"},{"type":"function","title":"Stemmer.Rules.r1/1","doc":"R1 is the region after the first non-vowel following a vowel, or is the null\nregion at the end of the word if there is no such non-vowel.","ref":"Stemmer.Rules.html#r1/1"},{"type":"function","title":"Examples - Stemmer.Rules.r1/1","doc":"iex> Stemmer.Rules.r1(\"beautiful\")\n    \"iful\"\n\n    iex> Stemmer.Rules.r1(\"beauty\")\n    \"y\"\n\n    iex> Stemmer.Rules.r1(\"beaut\")\n    \"\"\n\n    iex> Stemmer.Rules.r1(\"beau\")\n    \"\"\n\n    iex> Stemmer.Rules.r1(\"animadversion\")\n    \"imadversion\"\n\n    iex> Stemmer.Rules.r1(\"sprinkled\")\n    \"kled\"\n\n    iex> Stemmer.Rules.r1(\"eucharist\")\n    \"harist\"\n\n    iex> Stemmer.Rules.r1(\"generation\")\n    \"ation\"\n\n    iex> Stemmer.Rules.r1(\"communication\")\n    \"ication\"\n\n    iex> Stemmer.Rules.r1(\"arsenal\")\n    \"al\"","ref":"Stemmer.Rules.html#r1/1-examples"},{"type":"function","title":"Stemmer.Rules.r2/1","doc":"R2 is the region after the first non-vowel following a vowel in R1, or is\nthe null region at the end of the word if there is no such non-vowel.","ref":"Stemmer.Rules.html#r2/1"},{"type":"function","title":"Examples - Stemmer.Rules.r2/1","doc":"iex> Stemmer.Rules.r2(\"beautiful\")\n    \"ul\"\n\n    iex> Stemmer.Rules.r2(\"beauty\")\n    \"\"\n\n    iex> Stemmer.Rules.r1(\"beaut\")\n    \"\"\n\n    iex> Stemmer.Rules.r2(\"beau\")\n    \"\"\n\n    iex> Stemmer.Rules.r2(\"animadversion\")\n    \"adversion\"\n\n    iex> Stemmer.Rules.r2(\"sprinkled\")\n    \"\"\n\n    iex> Stemmer.Rules.r2(\"eucharist\")\n    \"ist\"","ref":"Stemmer.Rules.html#r2/1-examples"},{"type":"function","title":"Stemmer.Rules.r_vc/0","doc":"","ref":"Stemmer.Rules.html#r_vc/0"},{"type":"function","title":"Stemmer.Rules.replace_suffix_in_r1/3","doc":"","ref":"Stemmer.Rules.html#replace_suffix_in_r1/3"},{"type":"function","title":"Examples - Stemmer.Rules.replace_suffix_in_r1/3","doc":"iex> Stemmer.Rules.replace_suffix_in_r1(\"sensational\", \"ational\", \"ate\")\n    {:found, \"sensate\"}","ref":"Stemmer.Rules.html#replace_suffix_in_r1/3-examples"},{"type":"function","title":"Stemmer.Rules.short?/1","doc":"","ref":"Stemmer.Rules.html#short?/1"},{"type":"function","title":"Examples - Stemmer.Rules.short?/1","doc":"iex> Stemmer.Rules.short?(\"rap\")\n    true\n\n    iex> Stemmer.Rules.short?(\"trap\")\n    true\n\n    iex> Stemmer.Rules.short?(\"ow\")\n    true\n\n    iex> Stemmer.Rules.short?(\"on\")\n    true\n\n    iex> Stemmer.Rules.short?(\"at\")\n    true\n\n    iex> Stemmer.Rules.short?(\"bed\")\n    true\n\n    iex> Stemmer.Rules.short?(\"shed\")\n    true\n\n    iex> Stemmer.Rules.short?(\"shred\")\n    true\n\n    iex> Stemmer.Rules.short?(\"uproot\")\n    false\n\n    iex> Stemmer.Rules.short?(\"bestow\")\n    false\n\n    iex> Stemmer.Rules.short?(\"disturb\")\n    false\n\n    iex> Stemmer.Rules.short?(\"bead\")\n    false\n\n    iex> Stemmer.Rules.short?(\"embed\")\n    false\n\n    iex> Stemmer.Rules.short?(\"beds\")\n    false","ref":"Stemmer.Rules.html#short?/1-examples"},{"type":"function","title":"Stemmer.Rules.short_syllable/0","doc":"","ref":"Stemmer.Rules.html#short_syllable/0"},{"type":"function","title":"Stemmer.Rules.vowel/0","doc":"","ref":"Stemmer.Rules.html#vowel/0"},{"type":"module","title":"Stemmer.SpecialWord","doc":"","ref":"Stemmer.SpecialWord.html"},{"type":"function","title":"Stemmer.SpecialWord.apply/1","doc":"","ref":"Stemmer.SpecialWord.html#apply/1"},{"type":"function","title":"Stemmer.SpecialWord.special_word/1","doc":"","ref":"Stemmer.SpecialWord.html#special_word/1"},{"type":"function","title":"Examples - Stemmer.SpecialWord.special_word/1","doc":"iex> Stemmer.SpecialWord.special_word(\"skis\")\n    {true, \"ski\"}\n\n    iex> Stemmer.SpecialWord.special_word(\"buying\")\n    {false, \"buying\"}","ref":"Stemmer.SpecialWord.html#special_word/1-examples"},{"type":"module","title":"Stemmer.Step0","doc":"","ref":"Stemmer.Step0.html"},{"type":"function","title":"Stemmer.Step0.apply/1","doc":"","ref":"Stemmer.Step0.html#apply/1"},{"type":"function","title":"Stemmer.Step0.mark_consonant_y/1","doc":"Some of the algorithms begin with a step which puts letters which are normally\nclassed as vowels into upper case to indicate that they are are to be treated\nas consonants (the assumption being that the words are presented to the stemmers\nin lower case). Upper case therefore acts as a flag indicating a consonant.\n\nSet initial `y`, or `y` after a vowel, to `Y`.","ref":"Stemmer.Step0.html#mark_consonant_y/1"},{"type":"function","title":"Examples - Stemmer.Step0.mark_consonant_y/1","doc":"iex> Stemmer.Step0.mark_consonant_y(\"youth\")\n    \"Youth\"\n\n    iex> Stemmer.Step0.mark_consonant_y(\"boy\")\n    \"boY\"\n\n    iex> Stemmer.Step0.mark_consonant_y(\"boyish\")\n    \"boYish\"\n\n    iex> Stemmer.Step0.mark_consonant_y(\"fly\")\n    \"fly\"\n\n    iex> Stemmer.Step0.mark_consonant_y(\"flying\")\n    \"flying\"\n\n    iex> Stemmer.Step0.mark_consonant_y(\"syzygy\")\n    \"syzygy\"","ref":"Stemmer.Step0.html#mark_consonant_y/1-examples"},{"type":"function","title":"Stemmer.Step0.remove_apostrophe_s/1","doc":"","ref":"Stemmer.Step0.html#remove_apostrophe_s/1"},{"type":"function","title":"Examples - Stemmer.Step0.remove_apostrophe_s/1","doc":"iex> Stemmer.Step0.remove_apostrophe_s(\"ok's\")\n    \"ok\"","ref":"Stemmer.Step0.html#remove_apostrophe_s/1-examples"},{"type":"function","title":"Stemmer.Step0.trim_apostrophes/1","doc":"","ref":"Stemmer.Step0.html#trim_apostrophes/1"},{"type":"function","title":"Examples - Stemmer.Step0.trim_apostrophes/1","doc":"iex> Stemmer.Step0.trim_apostrophes(\"'ok\")\n    \"ok\"\n\n    iex> Stemmer.Step0.trim_apostrophes(\"o'k\")\n    \"o'k\"\n\n    iex> Stemmer.Step0.trim_apostrophes(\"'o'k'\")\n    \"o'k\"","ref":"Stemmer.Step0.html#trim_apostrophes/1-examples"},{"type":"module","title":"Stemmer.Step1a","doc":"","ref":"Stemmer.Step1a.html"},{"type":"function","title":"Stemmer.Step1a.apply/1","doc":"","ref":"Stemmer.Step1a.html#apply/1"},{"type":"function","title":"Stemmer.Step1a.leave_us_ss/1","doc":"Do nothing.","ref":"Stemmer.Step1a.html#leave_us_ss/1"},{"type":"function","title":"Examples - Stemmer.Step1a.leave_us_ss/1","doc":"iex> Stemmer.Step1a.leave_us_ss(\"abyss\")\n    {:found, \"abyss\"}","ref":"Stemmer.Step1a.html#leave_us_ss/1-examples"},{"type":"function","title":"Stemmer.Step1a.remove_s/1","doc":"Delete if the preceding word part contains a vowel not immediately before\nthe `s` (so `gas` and `this` retain the `s`, `gaps` and `kiwis` lose it).","ref":"Stemmer.Step1a.html#remove_s/1"},{"type":"function","title":"Examples - Stemmer.Step1a.remove_s/1","doc":"iex> Stemmer.Step1a.remove_s(\"gas\")\n    {:next, \"gas\"}\n\n    iex> Stemmer.Step1a.remove_s(\"this\")\n    {:next, \"this\"}\n\n    iex> Stemmer.Step1a.remove_s(\"gaps\")\n    {:found, \"gap\"}\n\n    iex> Stemmer.Step1a.remove_s(\"kiwis\")\n    {:found, \"kiwi\"}","ref":"Stemmer.Step1a.html#remove_s/1-examples"},{"type":"function","title":"Stemmer.Step1a.replace_ied_ies/1","doc":"Replace by `i` if preceded by more than one letter, otherwise by `ie` (so\n`ties` → `tie`, `cries` → `cri`).","ref":"Stemmer.Step1a.html#replace_ied_ies/1"},{"type":"function","title":"Examples - Stemmer.Step1a.replace_ied_ies/1","doc":"iex> Stemmer.Step1a.replace_ied_ies(\"tied\")\n    {:found, \"tie\"}\n\n    iex> Stemmer.Step1a.replace_ied_ies(\"ties\")\n    {:found, \"tie\"}\n\n    iex> Stemmer.Step1a.replace_ied_ies(\"cries\")\n    {:found, \"cri\"}","ref":"Stemmer.Step1a.html#replace_ied_ies/1-examples"},{"type":"function","title":"Stemmer.Step1a.replace_sses/1","doc":"Replace by `ss`.","ref":"Stemmer.Step1a.html#replace_sses/1"},{"type":"function","title":"Examples - Stemmer.Step1a.replace_sses/1","doc":"iex> Stemmer.Step1a.replace_sses(\"actresses\")\n    {:found, \"actress\"}","ref":"Stemmer.Step1a.html#replace_sses/1-examples"},{"type":"function","title":"Stemmer.Step1a.replace_suffix/1","doc":"\b\b","ref":"Stemmer.Step1a.html#replace_suffix/1"},{"type":"function","title":"Examples - Stemmer.Step1a.replace_suffix/1","doc":"iex> Stemmer.Step1a.replace_suffix(\"abyss\")\n    \"abyss\"","ref":"Stemmer.Step1a.html#replace_suffix/1-examples"},{"type":"module","title":"Stemmer.Step1b","doc":"","ref":"Stemmer.Step1b.html"},{"type":"function","title":"Stemmer.Step1b.apply/1","doc":"","ref":"Stemmer.Step1b.html#apply/1"},{"type":"function","title":"Stemmer.Step1b.remove_ed_edly_ing_ingly/1","doc":"Delete if the preceding word part contains a vowel, and after the deletion:\n\n- if the word ends `at`, `bl` or `iz` add `e` (so `luxuriat` → `luxuriate`), or\n- if the word ends with a double remove the last letter (so `hopp` → `hop`), or\n- if the word is short, add `e` (so `hop` → `hope`)","ref":"Stemmer.Step1b.html#remove_ed_edly_ing_ingly/1"},{"type":"function","title":"Examples - Stemmer.Step1b.remove_ed_edly_ing_ingly/1","doc":"iex> Stemmer.Step1b.remove_ed_edly_ing_ingly(\"luxuriating\")\n    {:found, \"luxuriate\"}\n\n    iex> Stemmer.Step1b.remove_ed_edly_ing_ingly(\"hopping\")\n    {:found, \"hop\"}\n\n    iex> Stemmer.Step1b.remove_ed_edly_ing_ingly(\"hoping\")\n    {:found, \"hope\"}","ref":"Stemmer.Step1b.html#remove_ed_edly_ing_ingly/1-examples"},{"type":"function","title":"Stemmer.Step1b.replace_eed_eedly/1","doc":"Replace by `ee` if in R1.","ref":"Stemmer.Step1b.html#replace_eed_eedly/1"},{"type":"function","title":"Examples - Stemmer.Step1b.replace_eed_eedly/1","doc":"iex> Stemmer.Step1b.replace_eed_eedly(\"proceed\")\n    {:found, \"procee\"}\n\n    iex> Stemmer.Step1b.replace_eed_eedly(\"proceedly\")\n    {:found, \"procee\"}\n\n    iex> Stemmer.Step1b.replace_eed_eedly(\"need\")\n    {:found, \"need\"}","ref":"Stemmer.Step1b.html#replace_eed_eedly/1-examples"},{"type":"function","title":"Stemmer.Step1b.replace_suffix/1","doc":"","ref":"Stemmer.Step1b.html#replace_suffix/1"},{"type":"function","title":"Examples - Stemmer.Step1b.replace_suffix/1","doc":"iex> Stemmer.Step1b.replace_suffix(\"bleed\")\n    \"bleed\"","ref":"Stemmer.Step1b.html#replace_suffix/1-examples"},{"type":"module","title":"Stemmer.Step1c","doc":"","ref":"Stemmer.Step1c.html"},{"type":"function","title":"Stemmer.Step1c.apply/1","doc":"","ref":"Stemmer.Step1c.html#apply/1"},{"type":"function","title":"Stemmer.Step1c.replace_suffix_y/1","doc":"Replace suffix `y` or `Y` by `i` if preceded by a non-vowel which is not the\nfirst letter of the word (so `cry` → `cri`, `by` → `by`, `say` → `say`).","ref":"Stemmer.Step1c.html#replace_suffix_y/1"},{"type":"function","title":"Examples - Stemmer.Step1c.replace_suffix_y/1","doc":"iex> Stemmer.Step1c.replace_suffix_y(\"cry\")\n    \"cri\"\n\n    iex> Stemmer.Step1c.replace_suffix_y(\"by\")\n    \"by\"\n\n    iex> Stemmer.Step1c.replace_suffix_y(\"say\")\n    \"say\"","ref":"Stemmer.Step1c.html#replace_suffix_y/1-examples"},{"type":"module","title":"Stemmer.Step2","doc":"","ref":"Stemmer.Step2.html"},{"type":"function","title":"Stemmer.Step2.apply/1","doc":"","ref":"Stemmer.Step2.html#apply/1"},{"type":"function","title":"Stemmer.Step2.replace_suffix_in_r1/1","doc":"Search for the longest among the following suffixes, and, if found and in R1,\nperform the action indicated.","ref":"Stemmer.Step2.html#replace_suffix_in_r1/1"},{"type":"function","title":"Examples - Stemmer.Step2.replace_suffix_in_r1/1","doc":"iex> Stemmer.Step2.replace_suffix_in_r1(\"sensational\")\n    \"sensate\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"sentenci\")\n    \"sentence\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"entranci\")\n    \"entrance\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"pocketabli\")\n    \"pocketable\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"momentli\")\n    \"moment\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"nationalizer\")\n    \"nationalize\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"nationalization\")\n    \"nationalize\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"acceleration\")\n    \"accelerate\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"accelerator\")\n    \"accelerate\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"nationalism\")\n    \"national\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"nationaliti\")\n    \"national\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"nationalli\")\n    \"national\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"usefulness\")\n    \"useful\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"generousli\")\n    \"generous\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"generousness\")\n    \"generous\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"activeness\")\n    \"active\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"activiti\")\n    \"active\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"capabiliti\")\n    \"capable\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"capabli\")\n    \"capable\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"analogi\")\n    \"analog\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"bulldogi\")\n    \"bulldogi\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"masterfulli\")\n    \"masterful\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"tirelessli\")\n    \"tireless\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"argumentli\")\n    \"argument\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"mopli\")\n    \"mopli\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"geologi\")\n    \"geolog\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"greatli\")\n    \"great\"\n\n    iex> Stemmer.Step2.replace_suffix_in_r1(\"fluentli\")\n    \"fluentli\"","ref":"Stemmer.Step2.html#replace_suffix_in_r1/1-examples"},{"type":"module","title":"Stemmer.Step3","doc":"","ref":"Stemmer.Step3.html"},{"type":"function","title":"Stemmer.Step3.apply/1","doc":"","ref":"Stemmer.Step3.html#apply/1"},{"type":"function","title":"Stemmer.Step3.replace_suffix_in_r1/1","doc":"Search for the longest among the following suffixes, and, if found and in R1,\nperform the action indicated.","ref":"Stemmer.Step3.html#replace_suffix_in_r1/1"},{"type":"function","title":"Examples - Stemmer.Step3.replace_suffix_in_r1/1","doc":"iex> Stemmer.Step3.replace_suffix_in_r1(\"proportional\")\n    \"proportion\"\n\n    iex> Stemmer.Step3.replace_suffix_in_r1(\"duplicate\")\n    \"duplic\"\n\n    iex> Stemmer.Step3.replace_suffix_in_r1(\"dupliciti\")\n    \"duplic\"\n\n    iex> Stemmer.Step3.replace_suffix_in_r1(\"duplical\")\n    \"duplic\"\n\n    iex> Stemmer.Step3.replace_suffix_in_r1(\"colourful\")\n    \"colour\"\n\n    iex> Stemmer.Step3.replace_suffix_in_r1(\"eagerness\")\n    \"eager\"\n\n    iex> Stemmer.Step3.replace_suffix_in_r1(\"negative\")\n    \"negative\"\n\n    iex> Stemmer.Step3.replace_suffix_in_r1(\"imaginative\")\n    \"imagin\"","ref":"Stemmer.Step3.html#replace_suffix_in_r1/1-examples"},{"type":"module","title":"Stemmer.Step4","doc":"","ref":"Stemmer.Step4.html"},{"type":"function","title":"Stemmer.Step4.apply/1","doc":"","ref":"Stemmer.Step4.html#apply/1"},{"type":"function","title":"Stemmer.Step4.remove_suffix_in_r2/1","doc":"Search for the longest among the following suffixes, and, if found and in R2,\nperform the action indicated.","ref":"Stemmer.Step4.html#remove_suffix_in_r2/1"},{"type":"function","title":"Examples - Stemmer.Step4.remove_suffix_in_r2/1","doc":"iex> Stemmer.Step4.remove_suffix_in_r2(\"national\")\n    \"nation\"\n\n    iex> Stemmer.Step4.remove_suffix_in_r2(\"association\")\n    \"associat\"\n\n    iex> Stemmer.Step4.remove_suffix_in_r2(\"apprehension\")\n    \"apprehens\"\n\n    iex> Stemmer.Step4.remove_suffix_in_r2(\"concepcion\")\n    \"concepcion\"\n\n    iex> Stemmer.Step4.remove_suffix_in_r2(\"addition\")\n    \"addit\"\n\n    iex> Stemmer.Step4.remove_suffix_in_r2(\"agreement\")\n    \"agreement\"","ref":"Stemmer.Step4.html#remove_suffix_in_r2/1-examples"},{"type":"module","title":"Stemmer.Step5","doc":"","ref":"Stemmer.Step5.html"},{"type":"function","title":"Stemmer.Step5.apply/1","doc":"\b\b","ref":"Stemmer.Step5.html#apply/1"},{"type":"function","title":"Examples - Stemmer.Step5.apply/1","doc":"iex> Stemmer.Step5.apply(\"Yellow\")\n    \"yellow\"","ref":"Stemmer.Step5.html#apply/1-examples"},{"type":"function","title":"Stemmer.Step5.remove_suffix_in_r2/1","doc":"Search for the following suffixes, and, if found, perform the action indicated.","ref":"Stemmer.Step5.html#remove_suffix_in_r2/1"},{"type":"function","title":"Examples - Stemmer.Step5.remove_suffix_in_r2/1","doc":"iex> Stemmer.Step5.remove_suffix_in_r2(\"conceive\")\n    \"conceiv\"\n\n    iex> Stemmer.Step5.remove_suffix_in_r2(\"move\")\n    \"move\"\n\n    iex> Stemmer.Step5.remove_suffix_in_r2(\"momoie\")\n    \"momoi\"\n\n    iex> Stemmer.Step5.remove_suffix_in_r2(\"moe\")\n    \"moe\"\n\n    iex> Stemmer.Step5.remove_suffix_in_r2(\"daniell\")\n    \"daniel\"\n\n    iex> Stemmer.Step5.remove_suffix_in_r2(\"doll\")\n    \"doll\"\n\n    iex> Stemmer.Step5.remove_suffix_in_r2(\"mail\")\n    \"mail\"","ref":"Stemmer.Step5.html#remove_suffix_in_r2/1-examples"}],"content_type":"text/markdown"}